Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.82
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class RunRecoveryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sleepycat.je.DatabaseException
                  com.sleepycat.je.RunRecoveryException

All Implemented Interfaces:
  Serializable

    public class RunRecoveryException

extends DatabaseException

Thrown when the JE environment has encountered an exception or a resource shortfall and cannot continue on safely. The Environment will no longer permit any operations and the application must be reinstantiated the Environment.

See Also:
  Serialized Form

Constructor Summary
`RunRecoveryException(com.sleepycat.je.dbi.EnvironmentImpl env)`
`RunRecoveryException(com.sleepycat.je.dbi.EnvironmentImpl env, String message)`
`RunRecoveryException(com.sleepycat.je.dbi.EnvironmentImpl env, String message, Throwable t)`
`RunRecoveryException(com.sleepycat.je.dbi.EnvironmentImpl env, Throwable t)`

Method Summary
`String` | `toString()`

Methods inherited from class com.sleepycat.je.DatabaseException
`getVersionHeader`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RunRecoveryException

    public RunRecoveryException(com.sleepycat.je.dbi.EnvironmentImpl env)

### RunRecoveryException

    public RunRecoveryException(com.sleepycat.je.dbi.EnvironmentImpl env,
                                Throwable t)

### RunRecoveryException

    public RunRecoveryException(com.sleepycat.je.dbi.EnvironmentImpl env,
                                String message)

### RunRecoveryException

    public RunRecoveryException(com.sleepycat.je.dbi.EnvironmentImpl env,
                                String message,
                                Throwable t)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.82
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004,2008 Oracle. All rights reserved.